﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ExemploBLLFormView01.aspx.cs" Inherits="ExemploBLLFormView01" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:FormView ID="FormView1" runat="server" DataKeyNames="id" 
            DataSourceID="ObjectDataSource1" DefaultMode="Insert">
            <EditItemTemplate>
                id:
                <asp:Label ID="idLabel1" runat="server" Text='<%# Eval("id") %>' />
                <br />
                nome:
                <asp:TextBox ID="nomeTextBox" runat="server" Text='<%# Bind("nome") %>' />
                <br />
                descricao:
                <asp:TextBox ID="descricaoTextBox" runat="server" 
                    Text='<%# Bind("descricao") %>' />
                <br />
                destaque:
                <asp:CheckBox ID="destaqueCheckBox" runat="server" 
                    Checked='<%# Bind("destaque") %>' />
                <br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                    CommandName="Update" Text="Update" />
                &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                    CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </EditItemTemplate>
            <InsertItemTemplate>
                nome:
                <asp:TextBox ID="nomeTextBox" runat="server" Text='<%# Bind("nome") %>' />
                <br />
                descricao:
                <asp:TextBox ID="descricaoTextBox" runat="server" 
                    Text='<%# Bind("descricao") %>' />
                <br />
                destaque:
                <asp:CheckBox ID="destaqueCheckBox" runat="server" 
                    Checked='<%# Bind("destaque") %>' />
                <br />
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                    CommandName="Insert" Text="Insert" />
                &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                    CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </InsertItemTemplate>
            <ItemTemplate>
                id:
                <asp:Label ID="idLabel" runat="server" Text='<%# Eval("id") %>' />
                <br />
                nome:
                <asp:Label ID="nomeLabel" runat="server" Text='<%# Bind("nome") %>' />
                <br />
                descricao:
                <asp:Label ID="descricaoLabel" runat="server" Text='<%# Bind("descricao") %>' />
                <br />
                destaque:
                <asp:CheckBox ID="destaqueCheckBox" runat="server" 
                    Checked='<%# Bind("destaque") %>' Enabled="false" />
                <br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                    CommandName="Edit" Text="Edit" />
                &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                    CommandName="Delete" Text="Delete" />
                &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                    CommandName="New" Text="New" />
            </ItemTemplate>
        </asp:FormView>
        
    
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            DeleteMethod="EliminarCategoria" InsertMethod="NovaCategoria" 
            OldValuesParameterFormatString="{0}" SelectMethod="GetCategorias" 
            TypeName="CategoriasBLL" UpdateMethod="AlterarCategoria">
            <DeleteParameters>
                <asp:Parameter Name="id" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="nome" Type="String" />
                <asp:Parameter Name="descricao" Type="String" />
                <asp:Parameter Name="destaque" Type="Boolean" />
                <asp:Parameter Name="id" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="nome" Type="String" />
                <asp:Parameter Name="descricao" Type="String" />
                <asp:Parameter Name="destaque" Type="Boolean" />
            </InsertParameters>
        </asp:ObjectDataSource>
        
    
    </div>
    </form>
</body>
</html>
