﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ExemploBLLFormulario02 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        CategoriasBLL categoriaBLL = new CategoriasBLL();
        DropDownListCategoria.DataSource = categoriaBLL.GetCategorias();
        DropDownListCategoria.DataValueField = "id";
        DropDownListCategoria.DataTextField = "nome";
        DropDownListCategoria.DataBind();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        ProdutosBLL produtosBLL = new ProdutosBLL();
        try
        {
            produtosBLL.NovoProduto(TextBoxNome.Text,
                                Convert.ToDecimal(TextBoxPrecoUnitario.Text),
                                Convert.ToInt32(TextBoxEstoque.Text),
                                Convert.ToInt16(TextBoxDesconto.Text),
                                Convert.ToInt32(DropDownListCategoria.SelectedValue),
                                CheckBoxDescontinuado.Checked);
        }
        catch (Exception exp)
        {
            Erro.Text = exp.Message;
        }
                                
                            
    }
}
