﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DSProdutosTableAdapters;

public partial class ProdutosComTemplate : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        TbProdutoTableAdapter produtosAdapter = new TbProdutoTableAdapter();
        GridView1.DataSource = produtosAdapter.GetProdutos();
        GridView1.DataBind();
    }

    public string GetPreco(object preco, object desconto)
    {
        // Exibe o preço
        string strPreco = string.Format("{0:c}", preco);
        string strNovoPreco = string.Format("{0:c}", (Convert.ToDouble(preco) * (1 - Convert.ToDouble(desconto) / 100)));
        if (Convert.ToInt16(desconto) == 0)
            return strPreco;
        else
            return "De: " + strPreco + " Por: " + strNovoPreco;
    }
}
